<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{275,99,1022,598}</property>
    <property name="Name">[se_kits_com_certo_insumo.scr]</property>
    <property name="Caption">[Produtos com Certo Insumo]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela_default.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg

//skel VARIAVEL w_colsep = chr(179)
//skel VARIAVEL w_headsep = chr(196)
//skel variavel zObsInsumo := "Composicoes contendo "+AllTrim(zpDesc)+" (Cod "+lTrim(Str(zpCod,14))+")"
//skel variavel zObsComposicao := "Insumos da Composicao "+ALLTRIM(_prods->pDesc)
oContextMenu:=Hwg_ContextMenu()
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
if type("oDlgStatusBar")="B"
   oDlgStatusBar:Anchor:=14
endif

oInsumosDaComposicao:SetGet(zObsComposicao)
oInsumosDaComposicao:Refresh()

oBrowInsComp:Refresh()



]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="bitmap">
    <style>
      <property name="Geometry">{948,10,58,50}</property>
      <property name="Name">[oBitmap1]</property>
      <property name="Anchor">9</property>
      <property name="Bitmap">[icon\logo_up.jpg]</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{7,74,477,465}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onPosChange">
      <![CDATA[
oInsumosDaComposicao:SetGet("Insumos da Composicao "+ALLTRIM(_prods->pDesc))
oInsumosDaComposicao:Refresh()

oBrowInsComp:Refresh()
]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Prod;PCOD;N;999999;  6;;')
hwg_TbFi(D_oB, 'Descricao;PDESC;C;@S25;25;;')
hwg_TbFi(D_oB, 'Quant_Insumo;MQUANT;N;9999999.999;11;;')
D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"PRODS",.F.,.T.,{||.T.} }
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{506,74,502,465}</property>
      <property name="Name">[oBrowInsComp]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[oBrowInsComp:Alias := 'se_kits'
oBrowInsComp:bColorSel:= RGB(3,23,133)
oBrowInsComp:tColorSel:= RGB(255,255,255)

hwg_TbFi(oBrowInsComp, 'Insumo;pDescInsum;C;@S35;35;;')
// hwg_TbFi(oBrowInsComp, 'QtdInsumo;Transform(MQUANT,"@E 99999.999")+" "+eVal(zbPrdUnd,pCodInsumo);P;@S12;12;;', , , , 1, 1)
hwg_TbFi(oBrowInsComp, 'Quant;mQuant;N;9999999.999;11;;')
hwg_TbFi(oBrowInsComp, 'LotePrd;pcLoteProd;N;9999999;7;;')
// hwg_TbFi(oBrowInsComp, 'Pecas;pPecas;N;9999999;7;;')
hwg_TbFi(oBrowInsComp, 'CodIns;PCODINSUMO;N;999999;6;;')
hwg_TbFi(oBrowInsComp, 'CodComp;PCOD;N;999999;6;;')

oBrowInsComp:lFilter := .T.
oBrowInsComp:bFirst := {|| se_kits->( DBSEEK( _prods->pCod, .F. ) ) } 
oBrowInsComp:bLast  := {|| se_kits->( DBSEEK( _prods->pCod, .F., .T. ) ) }
oBrowInsComp:bWhile := {|| se_kits->pCod = _prods->pCod }

DbSelectArea( '_prods' )
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{0,0,1022,5}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">11</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{0,0,5,598}</property>
      <property name="Name">[oLabel3]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">7</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{1017,0,5,598}</property>
      <property name="Name">[oLabel4]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">13</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{0,593,1022,5}</property>
      <property name="Name">[oLabel5]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">12</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{20,10,917,35}</property>
      <property name="Name">[oEdit1]</property>
      <property name="varName">[zObsInsumo]</property>
      <property name="font">
        <font name="Arial" width="0" height="-24" weight="700"/>
      </property>
      <property name="Justify">[Center]</property>
      <property name="Multiline">.T.</property>
      <property name="AutoHScroll">.T.</property>
      <property name="TabIndex">7</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{506,48,433,24}</property>
      <property name="Name">[oInsumosDaComposicao]</property>
      <property name="varName">[vEdit2]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400" italic="255"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="TabIndex">7</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
</part>
